incubator-clerezza-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Henry Story <henry.st...@bblfish.net>
Subject Re: bouncycastle dependency of keygen
Date Mon, 01 Nov 2010 12:11:16 GMT

On 9 Oct 2010, at 23:01, Reto Bachmann-Gmuer wrote:

> Hi Henry
> 
> Other thing in Clerezza needs JDK 1.6 so its safe to take this version.
> 
> Creating bunldes from a set of maven dependencies can be done with the
> maven bundle plugin. All org.apache.clerezza.ext projects are pure
> bundleizations of projects that do not provide bundles, have a look at
> a a few of them.

There is an issue in bouncycastle to support OSGI there.

http://www.bouncycastle.org/jira/browse/BJA-287

Please vote for it if you have a few seconds to spare.

I think the best is to bundle bouncycastle with the keygen component for the moment.
One could also make a ext.bouncy module, but I fear it is going to be tricky as those jars
are signed. It should be really easy for the bouncy engineers to add OSGI support.

Henry

> 
> Cheers,
> reto
> 
> On Fri, Oct 8, 2010 at 7:06 PM, Henry Story <henry.story@bblfish.net> wrote:
>> As I am trying to integrate the ISSUE-243 patch for the accountcontrolpanel I noticed
>> that org.apache.clerezza.ssl.keygen requires the crypto framework bouncycastle.
>> 
>> These come in a number of flavors: for jdk1.4 to 1.6 .
>> Also those compoenents don't seem to be OSGI enabled.
>> 
>> Is there some well known maven trickery to use to get bouncycastle to load on starting
Clerezza
>> intelligently?
>> 
>> Henry
>> 
>> 
>> Social Web Architect
>> http://bblfish.net/
>> 
>> 

Social Web Architect
http://bblfish.net/


Mime
View raw message